This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 735539 - server.satellite.rhn_parent" in the file "/etc/rhn/rhn.conf" should be set again to "satellite.rhn.redhat.com after a disconnected install on rhns 5.4
server.satellite.rhn_parent" in the file "/etc/rhn/rhn.conf" should be set ag...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Installation Guide (Show other bugs)
541
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lana Brindley
ecs-bugs
: Documentation
Depends On:
Blocks: sat54-docs
  Show dependency treegraph
 
Reported: 2011-09-03 06:01 EDT by edoardo linington
Modified: 2013-10-23 19:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-29 16:09:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description edoardo linington 2011-09-03 06:01:35 EDT
Description of problem:

Once a disconnected install has been done, the "rhn_parent" is blanked out and the documentation doesn't indicate what to set it to in order to connect the Satellite to RHN and continue. So the doc related to satellite 5.4 should me updated with this new info. In particular on the below paragraph should be mentioned that the parameter "server.satellite.rhn_parent" in the file "/etc/rhn/rhn.conf" should be set again to "satellite.rhn.redhat.com"   :

Documentation affected to be corrected:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.4/html/Installation_Guide/s1-installation-httpproxy.html


Version-Release number of selected component (if applicable):

satellite 5.4

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:

correct this doc so that is mentioned that you need to enter again the parent parameter satellite.rhn.redhat.com on the rhn.conf file once a disconnected installation has been done:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.4/html/Installation_Guide/s1-installation-httpproxy.html

Additional info:
Comment 1 Clifford Perry 2011-09-06 14:07:13 EDT
FYI - Today you can login to Satellite as a Satellite Administrator and got o the Configuration section and select or de-select disconnected. This will write the correct default value back in. 

Cliff
Comment 3 Lana Brindley 2011-10-25 17:14:26 EDT
<listitem>
	<para>
		Once the installation is completed, you will need to add or modify your settings in the <filename>/etc/rhn/rhn.conf</filename> file:
	</para>
				 
<screen>
server.satellite.http_proxy = &lt;http-proxy-fqdn&gt;
server.satellite.http_proxy_username = &lt;proxy-username&gt;
server.satellite.http_proxy_password = &lt;proxy-password&gt;

disconnected=0
</screen>
	 <para>
		You will also need to update the <filename>/etc/rhn/rhn.conf</filename> file to include the parent parameter <parameter>satellite.rhn.redhat.com</parameter>.
	</para>
	 <note>
		<title>Note</title>
		 <para>
			Alternatively, if you are using the RHN Satellite web interface, toggle the <guilabel>disconnected</guilabel> option in the <guimenu>Configuration</guimenu> section.
		</para>
	</note>
</listitem>

Revision 2-6

LKB

Note You need to log in before you can comment on or make changes to this bug.